## org.apache.poi.xslf.usermodel
Class XSLFTableRow

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFTableRow

All Implemented Interfaces:
  java.lang.Iterable<XSLFTableCell>

    public class XSLFTableRow

extends java.lang.Object
implements java.lang.Iterable<XSLFTableCell>

Represents a table in a .pptx presentation

Author:
  Yegor Kozlov

Method Summary
`XSLFTableCell` `addCell()`
`java.util.List<XSLFTableCell>` `getCells()`
`double` `getHeight()`
`org.openxmlformats.schemas.drawingml.x2006.main.CTTableRow` `getXmlObject()`
`java.util.Iterator<XSLFTableCell>` `iterator()`
`void` `setHeight(double height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.drawingml.x2006.main.CTTableRow getXmlObject()

### iterator

    public java.util.Iterator<XSLFTableCell> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<XSLFTableCell>`

### getCells

    public java.util.List<XSLFTableCell> getCells()

### getHeight

    public double getHeight()

### setHeight

    public void setHeight(double height)

### addCell

    public XSLFTableCell addCell()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.